| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | Static Public Member Functions | List of all members
GlsSerialMorphMesh Class Reference
Inheritance diagram for GlsSerialMorphMesh:

## Public Member Functions
| GlsSerialMorphMesh ()
| GlsSerialMorphMesh (GlsSerialMorphMesh &src)
| GlsSerialMorphMesh (disti::GlsSerialMorphMesh *serialMorphMesh, bool incEditorRef)
void | SetNumKeyframes (unsigned int count)
unsigned int | NumKeyframes ()
void | SetKeyframePercent (unsigned int index, float &value)
float | GetKeyframePercent (unsigned int index)
void | SetMorphPercent (float &value)
float | GetMorphPercent ()
void | SetTension (float &value)
float | GetTension ()
Public Member Functions inherited from DisplayObject
bool | isNULL ()
String | GetName ()
String | SetName (String name)
void | SetProtectionMode (DisplayObject::MemberAccess_e mode)
DisplayObject::MemberAccess_e | GetProtectionMode (void)
void | SetLocked (bool val)
bool | GetLocked (void)
bool | GetGenerateMemberVariable ()
void | SetGenerateMemberVariable (bool b)
bool | GetAntiAliasing ()
void | SetAntiAliasing (bool antiAliasing)
bool | GetBlinking ()
void | SetBlinking (bool blinking)
float | GetBlinkRate ()
void | SetBlinkRate (float rate)
int | GetAlphaMode ()
void | SetAlphaMode (int mode)
bool | GetCullBackFaces ()
void | SetCullBackFaces (bool cullFaces)
bool | GetZBufferTestedFlag ()
void | SetZBufferTestedFlag (bool tested)
bool | GetAffectZBufferFlag ()
void | SetAffectZBufferFlag (bool affect)
bool | GetLightingEnabledFlag ()
void | SetLightingEnabledFlag (bool enabled)
DisplayObject::PickableType_e | GetPickMode ()
void | SetPickMode (DisplayObject::PickableType_e mode)
bool | GetVisibilityFlag ()
void | SetVisibilityFlag (bool visible)
PolygonClose_e | GetClosePolygonFlag ()
void | SetClosePolygonFlag (PolygonClose_e closePolygon)
PolygonMode_e | GetPolygonMode ()
void | SetPolygonMode (PolygonMode_e polygonMode)
ShadingType_e | GetShadingMode ()
void | SetShadingMode (ShadingType_e shadingMode)
Vertex | GetLocation ()
void | SetLocation (Vertex loc)
Vertex | GetRotationPoint ()
void | SetRotationPoint (Vertex rotPoint)
GlsMatrixAffine * | GetDcsMatrix ()
void | SetDcsMatrix (GlsMatrixAffine *matrix)
int | GetMaterialIndex ()
void | SetMaterialIndex (int matIndex)
String | GetObjectClassName ()
int | GetTextureIndex ()
void | SetTextureIndex (int texIndex)
TextureMap_e | GetTextureMappingTechnique ()
void | SetTextureMappingTechnique (TextureMap_e mappingTechnique)
bool | GetTextureRepeat ()
void | SetTextureRepeat (bool repeat)
disti::GlsColor | GetBlendingColor ()
void | SetBlendingColor (GlsColor blendColor)
DisplayObject::TextureFilter_e | GetTextureMagnificationFilter ()
void | SetTextureMagnificationFilter (DisplayObject::TextureFilter_e filter)
DisplayObject::TextureFilter_e | GetTextureMinificationFilter ()
void | SetTextureMinificationFilter (DisplayObject::TextureFilter_e filter)
std::vector< Vector > | GetTextureCoordinates ()
void | SetTextureCoordinates (std::vector< Vector > &texVerts)
void | GetTextureCoordinates (VertexArray *texVerts)
void | SetTextureCoordinates (VertexArray &texVerts)
void | GetTexturePoints (VertexArray *texVerts)
void | SetTexturePoints (VertexArray &texVerts)
void | SetTexturePoints (std::vector< Vector > &texVerts)
std::vector< Vector > | GetTexturePoints ()
void | GetVertices (VertexArray *verts)
void | SetVertices (VertexArray &verts)
String | GetInitialization ()
void | SetInitialization (String initCode)
String | GetCallbackCode ()
void | SetCallbackCode (String cbCode)
DisplayObject * | DuplicateObject (Document *doc=NULL)
DisplayObject * | TessellateObject ()
DisplayObject * | ExtrudeObject (float amount)
void | RotateObject (float amount, RotationAxis_e axis)
void | TranslateObject (float x, float y, float z)
void | ScaleObject (float x, float y, float z, Vertex *anchor=NULL)
void | LineWidth (float width)
float | LineWidth ()
LineStyle_e | LineStyle ()
void | LineStyle (LineStyle_e style)
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | GetExtents (Vector &min, Vector &max)
bool | HasUserDefinedAttribute (String attribName)
std::map< String, String > | GetUserDefinedAttributes ()
UserDefinedValueAttributeList | GetAllUserDefinedAttributes ()
String | GetUserDefinedAttributeValue (String attribName)
| typemap (check) String attribName
void | SetUserDefinedAttributeValue (String attribName, String value)
DisplayObject * | GetParent ()
Document * | GetDocument ()
String | AlternateClassName ()
void | AlternateClassName (String name)
String | GetAlternateClassHeaderFile ()
void | SetAlternateClassHeaderFile (String name)
String | GetResources ()
String | GetRuntimeResources (bool recursive)
String | GetAttributeType (String attribName)
String | GetAttributeValueString (String attribName)
void | SetAttributeValueString (String attribName, String value)
unsigned int | RegisterObserver (String attribName, PyObject *pyfunc)
void | UnregisterObserver (String attribName, unsigned int id)
std::vector< Vector > | GetNormals ()
void | SetNormals (std::vector< Vector > &normals)
std::vector< CustomAttributeInfo > | GetExtraAttributes ()
DisplayObject * | CloneObject ()
void | CopyProperties (DisplayObject *sourceObj)
void | SetLocation (Vector loc)
GlsMatrixAffine | GetObjectCoordinatesTransform (DisplayObject *targetObject)
void | CalculateParentBoundingBox ()
void | SetOrigin (Vertex &vert)

## Static Public Member Functions
static GlsSerialMorphMesh * | CastToGlsSerialMorphMesh (DisplayObject *obj)

## Additional Inherited Members
Public Types inherited from DisplayObject
enum | MemberAccess_e { PUBLIC , PRIVATE , PROTECTED }
enum | PickableType_e { UNPICKABLE , FIRST_PICK , BEST_PICK , ALWAYS_PICK }
enum | PolygonClose_e { POLY_OPEN , POLY_CLOSED }
enum | PolygonMode_e { POLY_MODE_UNDEFINED , POLY_MODE_POINTS , POLY_MODE_OUTLINE , POLY_MODE_FILLED , POLY_MODE_FILL_AND_OUTLINE }
enum | ShadingType_e { SHADING_FLAT , SHADING_GOURAUD }
enum | TextureMap_e { TEXTURE_MAP_MODULATE , TEXTURE_MAP_DECAL , TEXTURE_MAP_BLEND , TEXTURE_MAP_REPLACE }
enum | TextureFilter_e { TEXTURE_FILTER_NEAREST , TEXTURE_FILTER_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST , TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR , TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST }
enum | TessellateType_e { TESSELLATE_UNION , TESSELLATE_INTERSECT , TESSELLATE_DIFFERENCE }
enum | RotationAxis_e { X_AXIS , Y_AXIS , Z_AXIS }
enum | LineStyle_e { SOLID_LINE_STYLE , SMALL_DOTTED_LINE_STYLE , DOTTED_LINE_STYLE , DASHED_LINE_STYLE , DOT_DASHED_LINE_STYLE , SMALL_DASHED_LINE_STYLE }
enum | AlphaMode_e { ALPHA_MODE_UNDEFINED , ALPHA_MODE_OPAQUE , ALPHA_MODE_2_LEVEL , ALPHA_MODE_256_LEVEL }
Static Public Attributes inherited from DisplayObject
static int | TEXTURE_INDEX_NONE = -1

## Detailed Description

Python engine extensions for the GlsSerialMorphMesh editor object.

## Constructor & Destructor Documentation

## ◆ GlsSerialMorphMesh() [1/3]

GlsSerialMorphMesh::GlsSerialMorphMesh | ( |  | ) |

## ◆ GlsSerialMorphMesh() [2/3]

GlsSerialMorphMesh::GlsSerialMorphMesh | ( | GlsSerialMorphMesh & | src | ) |

## ◆ GlsSerialMorphMesh() [3/3]

GlsSerialMorphMesh::GlsSerialMorphMesh | ( | disti::GlsSerialMorphMesh * | serialMorphMesh,
|  | bool | incEditorRef
| ) |  |

Constructor.

Parameters

  serialMorphMesh | GlsSerialMorphMesh to wrap
  incEditorRef | true if to increment editor ref on with wrapped group (i.e. if this pointer came from the editor) else false

## Member Function Documentation

## ◆ CastToGlsSerialMorphMesh()

static GlsSerialMorphMesh * GlsSerialMorphMesh::CastToGlsSerialMorphMesh | ( | DisplayObject * | obj | ) |
| static

Casts the Display Object as a GlsSerialMorphMesh NOTE: perform an isNULL check on the returned value to ensure the cast was accomplished.

Parameters

  obj | objects to cast

Returns
  GlsSerialMorphMesh the GlsSerialMorphMesh

Exceptions

  CEIException |

## ◆ GetKeyframePercent()

float GlsSerialMorphMesh::GetKeyframePercent | ( | unsigned int | index | ) |

Get the value for the given animation keyframe.

Parameters

  index | keyframe index

Returns
  percent

## ◆ GetMorphPercent()

float GlsSerialMorphMesh::GetMorphPercent | ( |  | ) |

Get the current animation value.

Returns
  percent animation value

## ◆ GetTension()

float GlsSerialMorphMesh::GetTension | ( |  | ) |

Get the current 'tension' value.

Returns
  tension value

## ◆ NumKeyframes()

unsigned int GlsSerialMorphMesh::NumKeyframes | ( |  | ) |

Get the number of keyframes in the mesh.

Returns
  the number of keyframes

## ◆ SetKeyframePercent()

void GlsSerialMorphMesh::SetKeyframePercent | ( | unsigned int | index,
|  | float & | value
| ) |  |

Set the value for the given animation keyframe.

## ◆ SetMorphPercent()

void GlsSerialMorphMesh::SetMorphPercent | ( | float & | value | ) |

Set the mesh to the given animation value.

## ◆ SetNumKeyframes()

void GlsSerialMorphMesh::SetNumKeyframes | ( | unsigned int | count | ) |

Set the number of keyframes in the mesh If this is less than the current number of keyframes, then keyframes >=NumKeyframes() will be released The initial Geometry and Values for new keyframes are undefined, be sure to fill them in before you try to draw/pick/etc.

Parameters

  count | the new number of keyframes

## ◆ SetTension()

void GlsSerialMorphMesh::SetTension | ( | float & | value | ) |

Set the tension parameter.

Tension affects how the mesh is interpolated between targets.

Parameters

  value | value to determine what interpolation is used 0.0 is linear interpolation higher values use spline interpolation to smooth out the transitions at each target. Recommended values are 0.0 and 0.5. Other values result in "special effects".

The documentation for this class was generated from the following file:

- GlsSerialMorphMesh.i